﻿@page
@model RegisterModel
@{
}

<form class="text-center border border-light p-5" form method="post">

    <p class="h4 mb-4">Sign up</p>

    <div class="form-row mb-4">
        <div class="col">
            <!-- First name -->
            <input type="text" asp-for="user.FirstName" class="form-control" placeholder="First name">
        </div>
        <div class="col">
            <!-- Last name -->
            <input type="text" asp-for="user.LastName" class="form-control" placeholder="Last name">
        </div>
    </div>

    <!-- E-mail -->
    <input type="email" asp-for="user.EmailAddress" class="form-control mb-4" placeholder="E-mail">

    <!-- Password -->
    <input type="password" asp-for="user.Password" class="form-control" placeholder="Password" aria-describedby="defaultRegisterFormPasswordHelpBlock">
    <small id="defaultRegisterFormPasswordHelpBlock" class="form-text text-muted mb-4">
        At least 8 characters and 1 digit
    </small>

    <!-- Sign up button -->
    <button class="btn btn-info my-4 btn-block" type="submit" value="Register">Sign up</button>

    <hr>

    <p class="alert-danger">
        @ViewBag.error
        @Html.ValidationMessage("error_msg")
    </p>

</form>
<!-- Default form register -->
